﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PhoneBooks
{
    [Serializable]
    public class User
    {
        public User()
        {
            if (this.UserId == null )
            {
                this.UserId = Guid.NewGuid();
            }
            else
            {
                this.UserId = this.UserId;
            }
        }  
        public Guid? UserId { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public virtual List<Phone> Phones { get; set; }

    }
}
